<?
# МОД ДРУЖБЫ ДЛЯ DCMS 6.x
# SimiX aka iNFERNO
# 4759229

include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();

$set['title'] = 'Список друзей';
include_once 'sys/inc/thead.php';
title();
aut();

$ank['id'] = $user['id'];
if (isset($_GET['id']))$ank['id'] = intval($_GET['id']);
$q = mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1");
if (mysql_num_rows($q)==0){header("Location: index.php?".SID);exit;}

$ank = mysql_fetch_array($q);


if (isset($_GET['add']))msg('Заявка отправлена');
if ($ank['id']==$user['id'])
{
	echo '<div class="p_t">Список ваших друзей | <a href="frend_new.php">Заявки</a></div>';
}
else echo '<div class="p_t">Список друзей '.$ank['nick'].'</div>';

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE `user` = '$ank[id]' AND `i` = '1'"), 0);

echo '<div class="p_m">'.( ($k_post==0) ? 'Нет друзей =(' : 'Всего: '.$k_post ).'</div>';

$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo '<table class="post">'."\n";

$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '$ank[id]' AND `i` = '1' ORDER BY time DESC LIMIT $start, $set[p_str]");
while ($f = mysql_fetch_array($q))
{

	$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));

	if ($set['set_show_icon']==2){
	echo '  <td class="icon48" rowspan="2">';
	avatar($a['id']);
	echo '  </td>';
	}
	elseif ($set['set_show_icon']==1)
	{
	echo '  <td class="icon14">';
	echo '<img src="/style/themes/'.$set['set_them'].'/user/'.$a['pol'].'.png" alt="" />';
	echo '  </td>';
	}
	echo '  <td class="p_t">';
	echo '<a href="/info.php?id='.$a['id'].'">'.$a['nick'].'</a>'.online($a['id'])."\n";
	echo '  </td>';
	echo '   <tr>';
if ($set['set_show_icon']==1)echo '  <td class="p_m" colspan="2">'; else echo '  <td class="p_m">';

    echo ' <span class="ank_n">Подружились</span> <span class="ank_d">'.vremja($f['time']).'</span><br />';

	if ($a['ank_d_r']!=NULL && $a['ank_m_r']!=NULL && $a['ank_g_r']!=NULL){
	if ($a['ank_m_r']==1)$a['mes']='Января';
	elseif ($a['ank_m_r']==2)$a['mes']='Февраля';
	elseif ($a['ank_m_r']==3)$a['mes']='Марта';
	elseif ($a['ank_m_r']==4)$a['mes']='Апреля';
	elseif ($a['ank_m_r']==5)$a['mes']='Мая';
	elseif ($a['ank_m_r']==6)$a['mes']='Июня';
	elseif ($a['ank_m_r']==7)$a['mes']='Июля';
	elseif ($a['ank_m_r']==8)$a['mes']='Августа';
	elseif ($a['ank_m_r']==9)$a['mes']='Сентября';
	elseif ($a['ank_m_r']==10)$a['mes']='Октября';
	elseif ($a['ank_m_r']==11)$a['mes']='Ноября';
	else $a['mes']='Декабря';
	echo '<span class="ank_n">Дата рождения:</span> <span class="ank_d">'.$a['ank_d_r'].' '.$a['mes'].' '.$a['ank_g_r'].'г.</span><br />';
	$a['ank_age']=date("Y")-$a['ank_g_r'];
	if (date("n")<$a['ank_m_r'])$a['ank_age']=$a['ank_age']-1;
	elseif (date("n")==$a['ank_m_r']&& date("j")<$a['ank_d_r'])$a['ank_age']=$a['ank_age']-1;
	echo '<span class="ank_n">Возраст:</span> <span class="ank_d">'.$a['ank_age'].'</span><br />';
	}
	elseif($a['ank_d_r']!=NULL && $a['ank_m_r']!=NULL)
	{
	if ($a['ank_m_r']==1)$a['mes']='Января';
	elseif ($a['ank_m_r']==2)$a['mes']='Февраля';
	elseif ($a['ank_m_r']==3)$a['mes']='Марта';
	elseif ($a['ank_m_r']==4)$a['mes']='Апреля';
	elseif ($a['ank_m_r']==5)$a['mes']='Мая';
	elseif ($a['ank_m_r']==6)$a['mes']='Июня';
	elseif ($a['ank_m_r']==7)$a['mes']='Июля';
	elseif ($a['ank_m_r']==8)$a['mes']='Августа';
	elseif ($a['ank_m_r']==9)$a['mes']='Сентября';
	elseif ($a['ank_m_r']==10)$a['mes']='Октября';
	elseif ($a['ank_m_r']==11)$a['mes']='Ноября';
	else $a['mes']='Декабря';
	echo '<span class="ank_n">День рождения:</span> <span class="ank_d">'.$a['ank_d_r'].' '.$a['mes'].'</span><br />';
	}

	echo '<span class="ank_n">Посл. посещение:</span> <span class="ank_d">'.vremja($a['date_last']).'</span><br />'."\n";

	if ($ank['id']==$user['id'])echo ' <b>x</b> <a href="frend_new.php?no='.$a['id'].'">Удалить</a>';
	echo '  </td>'."\n";
	echo '   </tr>'."\n";
}


echo '</table>'."\n";

if ($k_page>1)str("?id=$ank[id]&",$k_page,$page); // Вывод страниц

echo '<br /> Заявок: '.mysql_result(mysql_query("SELECT COUNT(id) FROM `frends_new` WHERE `to` = '$ank[id]'"), 0);
echo '<br /> <a href="/umenu.php">Мое меню</a>';
echo '<br /> <a href="/users.php">Все пользователи</a><br />';

include_once 'sys/inc/tfoot.php';
?>